Множественные уязвимости в Drupal

Дата публикации:
19.10.2007
Всего просмотров:
2800
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-5595
CVE-2007-5596
CVE-2007-5597
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal 4.x
Drupal 5.x
Уязвимые версии: Drupal версии до 4.7.8 и 5.3

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности и произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса внедрить произвольные HTTP заголовки, возвращаемые пользователю, и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуется валидная учетная запись в приложении.

2. Уязвимость существует из-за того, что модуль загрузки по умолчанию разрешает загрузку файлов с расширением ".html". Злоумышленник может обманно заставить пользователя открыть специально сформированный HTML файл и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за того, что hook_components API не передают данные о статусе публикации комментариев, что позволяет некоторым модулям (например, Organic groups и Subscriptions) отправить по email неопубликованные комментарии.

URL производителя: drupal.org

Решение: Установите последнюю версию 4.7.8 или 5.3 с сайта производителя.

или введите имя

CAPTCHA
25-11-2007 19:05:28
www.eurohackers.net
0 |